This page was not yet optimized for use on mobile devices.
Ubuntu 18.04 Libgcrypt Cryptographic Module
Certificate details
| Certificate ID | #3748 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 24.11.2020 , 18.05.2021 , 21.09.2021 , 18.10.2021 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode and installed, initialized and configured as specified in Section 9.1 of the Security Policy |
| Exceptions |
|
| Description | The Libgcrypt library implementation providing cryptographic services to Linux user space software components in general and to GnuPG in particular. |
| Tested configurations |
|
| Vendor | Canonical Ltd. http://www.canonical.com |
| Lab | atsec information security corporation |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, AES-128, Twofish, Serpent, CAST5, RC2, DES, Triple-DES, TDEA, IDEA, Blowfish, Camellia, SEED, HMAC, HMAC-SHA-256, CMACAsymmetric Algorithms
ECDSA, ECC, DSAHash functions
SHA-1, SHA1, SHA-224, SHA-384, SHA-512, SHA-256, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHA-3, MD4, MD5, RIPEMD, PBKDF, PBKDF2Schemes
MAC, Key AgreementProtocols
TLS, DTLSRandomness
PRNG, DRBG, RNGLibraries
libgcryptElliptic Curves
P-256, P-384, P-521Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSSecurity level
Level 1, level 1Side-channel analysis
timing attacksAutomated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3748,
"dgst": "8d7c658f9476ff2c",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"DRBG#A184",
"KTS#A184",
"ECDSA#A184",
"#A184",
"SHS#A184",
"RSA#A184",
"Triple-DES#A184",
"DSA#A184",
"HMAC#A184",
"SHA-3#A184",
"AES#A184"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"18.04"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 3
},
"ECDSA": {
"ECDSA": 18
}
},
"FF": {
"DSA": {
"DSA": 29
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 5
},
"CCM": {
"CCM": 4
},
"CFB": {
"CFB": 3
},
"CTR": {
"CTR": 5
},
"ECB": {
"ECB": 8
},
"GCM": {
"GCM": 3
},
"OFB": {
"OFB": 5
},
"XTS": {
"XTS": 6
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"libgcrypt": {
"libgcrypt": 5
}
},
"crypto_protocol": {
"TLS": {
"DTLS": {
"DTLS": 1
},
"TLS": {
"TLS": 13
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 1
},
"MAC": {
"MAC": 6
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 8,
"P-384": 6,
"P-521": 6
}
},
"eval_facility": {
"atsec": {
"atsec": 41
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES CMAC 128": 1,
"AES-128": 2,
"AES-128/192/256": 1,
"AES-256": 1,
"HMAC SHA-1": 1,
"HMAC-SHA-256": 4,
"HMAC-SHA256": 2,
"PKCS#1": 6,
"SHA- 256": 1,
"SHA-1": 10,
"SHA-224": 11,
"SHA-256": 17,
"SHA-3": 2,
"SHA-384": 5,
"SHA-512": 7,
"SHA1": 1,
"SHA3-224": 2,
"SHA3-256": 5,
"SHA3-384": 2,
"SHA3-512": 4
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 3
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"PBKDF": {
"PBKDF": 6,
"PBKDF2": 1
},
"RIPEMD": {
"RIPEMD": 1
},
"SHA": {
"SHA1": {
"SHA-1": 10,
"SHA1": 1
},
"SHA2": {
"SHA-224": 15,
"SHA-256": 13,
"SHA-384": 9,
"SHA-512": 3
},
"SHA3": {
"SHA-3": 2,
"SHA3-224": 4,
"SHA3-256": 3,
"SHA3-384": 4,
"SHA3-512": 3
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 28,
"PRNG": 1
},
"RNG": {
"RNG": 1
}
},
"side_channel_analysis": {
"SCA": {
"timing attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 51,
"FIPS 186-4": 1,
"FIPS PUB 140-2": 2,
"FIPS140-2": 1,
"FIPS180-4": 2,
"FIPS186-4": 7,
"FIPS197": 2,
"FIPS198-1": 2,
"FIPS202": 2
},
"NIST": {
"SP 800-132": 5,
"SP 800-57": 1
},
"PKCS": {
"PKCS#1": 3
},
"RFC": {
"RFC 4880": 2,
"RFC2246": 1,
"RFC3268": 1,
"RFC4279": 1,
"RFC4346": 1,
"RFC4492": 1,
"RFC5116": 1,
"RFC5246": 1,
"RFC5288": 1,
"RFC5487": 1,
"RFC5489": 1,
"RFC6655": 1,
"RFC7251": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 27,
"AES-128": 2,
"AES-256": 1
},
"CAST": {
"CAST5": 2
},
"RC": {
"RC2": 2
},
"Serpent": {
"Serpent": 2
},
"Twofish": {
"Twofish": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 20
},
"DES": {
"DES": 6
}
},
"constructions": {
"MAC": {
"CMAC": 9,
"HMAC": 16,
"HMAC-SHA-256": 2
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 2
},
"Camellia": {
"Camellia": 2
},
"IDEA": {
"IDEA": 2
},
"SEED": {
"SEED": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"DRBG#A184",
"KTS#A184",
"ECDSA#A184",
"SHS#A184",
"RSA#A184",
"Triple-DES#A184",
"DSA#A184",
"HMAC#A184",
"SHA-3#A184",
"AES#A184"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A184"
]
},
"policy_metadata": {
"/Author": "Alejandro Fabio Masino",
"/CreationDate": "D:20210915192113+00\u002700\u0027",
"/Creator": "Microsoft Word",
"/ModDate": "D:20210915192113+00\u002700\u0027",
"/Title": "FIPS 140-2 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 710364,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://www.ietf.org/rfc/rfc2246.txt",
"https://tools.ietf.org/html/rfc7251.txt",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://www.ietf.org/rfc/rfc5116.txt",
"http://www.ietf.org/rfc/rfc3447.txt",
"http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf",
"http://man7.org/linux/man-pages/",
"https://tools.ietf.org/html/rfc5487.txt",
"http://csrc.nist.gov/groups/STM/cmvp/documents/fips140-2/FIPS1402IG.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38D/SP-800-38D.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?product=12081",
"http://csrc.nist.gov/publications/nistpubs/800-38E/nist-sp-800-38E.pdf",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar2.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"https://www.ietf.org/rfc/rfc4346.txt",
"https://www.ietf.org/rfc/rfc4492.txt",
"https://tools.ietf.org/html/rfc5288.txt",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-57pt1r4.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-67-Rev1/SP-800-67-Rev1.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"https://www.ietf.org/rfc/rfc4279.txt",
"https://www.ietf.org/rfc/rfc3268.txt",
"https://tools.ietf.org/html/rfc5489.txt",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38B/SP_800-38B.pdf",
"https://www.ubuntu.com/contact-us",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-52r1.pdf",
"https://tools.ietf.org/html/rfc6655.txt",
"https://tools.ietf.org/html/rfc5246.txt",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 39
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "48ae23d6216ccbb3114d6396f550ca0d84fbf26d34312530a5e4a0977bf73ba0",
"source_hash": "d29c2c71fabd844fb921c07a34439e18c18dcbb50b57464ca8bf881049d81c1a",
"txt_hash": "a1de7661cfa24831f3d483f3e2310eb1f0a99f7bc4d9bdd30d8bb32b20148d17"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and installed, initialized and configured as specified in Section 9.1 of the Security Policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/November 2020_011220_0856_signed.pdf",
"date_sunset": null,
"description": "The Libgcrypt library implementation providing cryptographic services to Linux user space software components in general and to GnuPG in particular.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Ubuntu 18.04 Libgcrypt Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1.0 and 1.1",
"tested_conf": [
"Ubuntu 18.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon CPU E5-2620v3 (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2020-11-24",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-05-18",
"lab": "atsec information security corporation",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-09-21",
"lab": "atsec information security corporation",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-10-18",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "Canonical Ltd.",
"vendor_url": "http://www.canonical.com"
}
}